<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("ti" . "tl" . "e" => base64_decode("dG" . "l0" . "bG" . "U="), "_354b3b07bdaa4e702886b2fdf" . "9dd11ce" => base64_decode("bmV3X3dpb" . "mRvdw=="), "typ" . "e" => base64_decode("dHlwZQ=" . "="), "i" . "d" => base64_decode("aWQ" . "="), "ur" . "l" => base64_decode("dX" . "Js"), "_aad576a27d4270d" . "b0bcce79b5b765b5" . "4" => base64_decode("aWNvbg" . "=="), "_fd02c7e3d45300b40c3d9698e7b2" . "7faf" => base64_decode("ZGlzYWJ" . "sZWQ="));
use Claromentis\Core\Icon\IconFormatter;
class MenuItemFormatter
{
    private IconFormatter $iconFormatter;
    public function __construct(IconFormatter $iconFormatter)
    {
        $this->iconFormatter = $iconFormatter;
    }
    
    
    
    
    
    
    
    public function toArray(MenuItemInterface $_c5ca63e2f3cceb505a5417b4abb64d55) : array
    {
        $_fd62bc4eaaf7d58dea9bada3e30443b9 = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["typ" . "e"] => $_c5ca63e2f3cceb505a5417b4abb64d55->getType()];
        $id = $_c5ca63e2f3cceb505a5417b4abb64d55->getId();
        if (isset($id)) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"]] = $id;
        }
        if ($_c5ca63e2f3cceb505a5417b4abb64d55 instanceof MenuItemLinkInterface) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_fd02c7e3d45300b40c3d" . "9698e7b27faf"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getDisabled();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_354b3b07b" . "daa4e70288" . "6b2fdf9dd1" . "1ce"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getNewWindow();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["ti" . "tl" . "e"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getTitle();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["u" . "r" . "l"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getUrl();
            if (($_aad576a27d4270db0bcce79b5b765b54 = $_c5ca63e2f3cceb505a5417b4abb64d55->getIcon()) !== null) {
                $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aad576a27d4270db0bcce79b5b765b" . "54"]] = $this->iconFormatter->toArray($_aad576a27d4270db0bcce79b5b765b54);
            }
        }
        return $_fd62bc4eaaf7d58dea9bada3e30443b9;
    }
}